name: C/Fortran

on:
  push:
    branches:
      - main
  pull_request:

jobs:
  test:
    strategy:
      matrix:
        os: [ubuntu-24.04, macos-15]
        compiler: [gcc-13, clang]

    runs-on: ${{ matrix.os }}

    steps:
    - name: Environment setup
      uses: actions/checkout@v4
    - name: Build and test libCEED
      env:
        CC: ${{ matrix.compiler }}
        FC: gfortran-13
      run: |
        make info
        make -j
        make prove -j
